//Particle.cpp

#include "Particle.h"

Particle::Particle(float m, float invm, Vector &p, Vector &v, Vector &a, Vector &f, Vector &d, Vector &dr, Vector &w, bool fx)
{
	fMass = m;
	fInvMass = invm;
	setPosition(p);
	setVelocity(v);
	setAcceleration(a);
	setForces(f);
	setDisplacement(d);
	setDrag(dr);
	setWind(w);
	bFixed = false;
}

Particle::Particle()
{
	fMass = 0;
	fInvMass = 0;
	vPosition = Vector (0, 0 , 0);
	vVelocity = Vector (0, 0 , 0);
	vAcceleration = Vector (0, 0 , 0);
	vForces = Vector (0, 0 , 0);
	vDisplacement = Vector (0, 0 , 0);
	vDrag = Vector (0, 0 , 0);
	vWind = Vector (0, 0 , 0);
	bFixed = false;
}

