//Vector.cpp

#include "Vector.h"

Vector::Vector(float _x, float _y, float _z)
{
	x = _x;
	y = _y;
	z = _z;
	tol = 0.0001f;
}


Vector::Vector()
{
	x = y = z = 0;
	tol = 0.0001f;
}


Vector::Vector( const Vector& in )
{
	x = in.x;
	y = in.y;
	z = in.z;
	tol = 0.0001f;
}